cascading.flow.planner.graph

## Class BaseElementGraph

- java.lang.Object
- - cascading.flow.planner.graph.BaseElementGraph

- All Implemented Interfaces:
    ElementGraph, Serializable
  Direct Known Subclasses:
    BaseAnnotatedElementGraph, ElementMaskSubGraph, ElementSubGraph

      public abstract class BaseElementGraph
      extends Object
      implements ElementGraph, Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.jgrapht.DirectedGraph<FlowElement,Scope>` | `graph`
    `static ElementGraph` | `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseElementGraph()`
    `BaseElementGraph(org.jgrapht.DirectedGraph<FlowElement,Scope> graph)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Scope` | `addEdge(FlowElement sourceVertex, FlowElement targetVertex)`
    `boolean` | `addEdge(FlowElement sourceVertex, FlowElement targetVertex, Scope scope)`
    `boolean` | `addHeadVertex(FlowElement flowElement)`
    `boolean` | `addTailVertex(FlowElement flowElement)`
    `boolean` | `addVertex(FlowElement flowElement)`
    `boolean` | `containsEdge(FlowElement sourceVertex, FlowElement targetVertex)`
    `boolean` | `containsEdge(Scope scope)`
    `boolean` | `containsVertex(FlowElement flowElement)`
    `protected void` | `copyFrom(BaseElementGraph elementGraph)`
    `Set<Scope>` | `edgeSet()`
    `Set<Scope>` | `edgesOf(FlowElement vertex)`
    `boolean` | `equals(Object object)`
    `Set<Scope>` | `getAllEdges(FlowElement sourceVertex, FlowElement targetVertex)`
    `Scope` | `getEdge(FlowElement sourceVertex, FlowElement targetVertex)`
    `FlowElement` | `getEdgeSource(Scope scope)`
    `FlowElement` | `getEdgeTarget(Scope scope)`
    `int` | `hashCode()`
    `Set<Scope>` | `incomingEdgesOf(FlowElement vertex)`
    `int` | `inDegreeOf(FlowElement vertex)`
    `int` | `outDegreeOf(FlowElement vertex)`
    `Set<Scope>` | `outgoingEdgesOf(FlowElement vertex)`
    `List<FlowElement>` | `predecessorListOf(FlowElement flowElement)`
    `boolean` | `removeAllEdges(Collection<? extends Scope> edges)`
    `Set<Scope>` | `removeAllEdges(FlowElement sourceVertex, FlowElement targetVertex)`
    `boolean` | `removeAllVertices(Collection<? extends FlowElement> vertices)`
    `Scope` | `removeEdge(FlowElement sourceVertex, FlowElement targetVertex)`
    `boolean` | `removeEdge(Scope scope)`
    `boolean` | `removeVertex(FlowElement flowElement)`
    `List<FlowElement>` | `successorListOf(FlowElement flowElement)`
    `Set<FlowElement>` | `vertexSet()` Returns an immutable identity based Set.
    `Set<FlowElement>` | `vertexSetCopy()` Returns a copy of `ElementGraph.vertexSet()` as an identity based Set suitable for modifying.
    `void` | `writeDOT(String filename)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface cascading.flow.planner.graph.ElementGraph

      `copyElementGraph`

- - ### Field Detail

    - #### NULL

          public static final ElementGraph NULL

    - #### graph

          protected org.jgrapht.DirectedGraph<FlowElement,Scope> graph

  - ### Constructor Detail

    - #### BaseElementGraph

          public BaseElementGraph()

    - #### BaseElementGraph

          public BaseElementGraph(org.jgrapht.DirectedGraph<FlowElement,Scope> graph)

  - ### Method Detail

    - #### copyFrom

          protected void copyFrom(BaseElementGraph elementGraph)

    - #### containsEdge

          public boolean containsEdge(FlowElement sourceVertex,
                             FlowElement targetVertex)

      Specified by:
        `containsEdge` in interface `ElementGraph`

    - #### removeAllEdges

          public boolean removeAllEdges(Collection<? extends Scope> edges)

      Specified by:
        `removeAllEdges` in interface `ElementGraph`

    - #### removeAllEdges

          public Set<Scope> removeAllEdges(FlowElement sourceVertex,
                                  FlowElement targetVertex)

      Specified by:
        `removeAllEdges` in interface `ElementGraph`

    - #### removeAllVertices

          public boolean removeAllVertices(Collection<? extends FlowElement> vertices)

      Specified by:
        `removeAllVertices` in interface `ElementGraph`

    - #### getAllEdges

          public Set<Scope> getAllEdges(FlowElement sourceVertex,
                               FlowElement targetVertex)

      Specified by:
        `getAllEdges` in interface `ElementGraph`

    - #### getEdge

          public Scope getEdge(FlowElement sourceVertex,
                      FlowElement targetVertex)

      Specified by:
        `getEdge` in interface `ElementGraph`

    - #### addEdge

          public Scope addEdge(FlowElement sourceVertex,
                      FlowElement targetVertex)

      Specified by:
        `addEdge` in interface `ElementGraph`

    - #### addEdge

          public boolean addEdge(FlowElement sourceVertex,
                        FlowElement targetVertex,
                        Scope scope)

      Specified by:
        `addEdge` in interface `ElementGraph`

    - #### addHeadVertex

          public boolean addHeadVertex(FlowElement flowElement)

      Specified by:
        `addHeadVertex` in interface `ElementGraph`

    - #### addTailVertex

          public boolean addTailVertex(FlowElement flowElement)

      Specified by:
        `addTailVertex` in interface `ElementGraph`

    - #### addVertex

          public boolean addVertex(FlowElement flowElement)

      Specified by:
        `addVertex` in interface `ElementGraph`

    - #### getEdgeSource

          public FlowElement getEdgeSource(Scope scope)

      Specified by:
        `getEdgeSource` in interface `ElementGraph`

    - #### getEdgeTarget

          public FlowElement getEdgeTarget(Scope scope)

      Specified by:
        `getEdgeTarget` in interface `ElementGraph`

    - #### containsEdge

          public boolean containsEdge(Scope scope)

      Specified by:
        `containsEdge` in interface `ElementGraph`

    - #### containsVertex

          public boolean containsVertex(FlowElement flowElement)

      Specified by:
        `containsVertex` in interface `ElementGraph`

    - #### edgeSet

          public Set<Scope> edgeSet()

      Specified by:
        `edgeSet` in interface `ElementGraph`

    - #### edgesOf

          public Set<Scope> edgesOf(FlowElement vertex)

      Specified by:
        `edgesOf` in interface `ElementGraph`

    - #### inDegreeOf

          public int inDegreeOf(FlowElement vertex)

      Specified by:
        `inDegreeOf` in interface `ElementGraph`

    - #### incomingEdgesOf

          public Set<Scope> incomingEdgesOf(FlowElement vertex)

      Specified by:
        `incomingEdgesOf` in interface `ElementGraph`

    - #### outDegreeOf

          public int outDegreeOf(FlowElement vertex)

      Specified by:
        `outDegreeOf` in interface `ElementGraph`

    - #### outgoingEdgesOf

          public Set<Scope> outgoingEdgesOf(FlowElement vertex)

      Specified by:
        `outgoingEdgesOf` in interface `ElementGraph`

    - #### removeEdge

          public Scope removeEdge(FlowElement sourceVertex,
                         FlowElement targetVertex)

      Specified by:
        `removeEdge` in interface `ElementGraph`

    - #### removeEdge

          public boolean removeEdge(Scope scope)

      Specified by:
        `removeEdge` in interface `ElementGraph`

    - #### removeVertex

          public boolean removeVertex(FlowElement flowElement)

      Specified by:
        `removeVertex` in interface `ElementGraph`

    - #### vertexSet

          public Set<FlowElement> vertexSet()

      Description copied from interface: `ElementGraph`
      Returns an immutable identity based Set.
      Specified by:
        `vertexSet` in interface `ElementGraph`
      Returns:

    - #### vertexSetCopy

          public Set<FlowElement> vertexSetCopy()

      Description copied from interface: `ElementGraph`
      Returns a copy of `ElementGraph.vertexSet()` as an identity based Set suitable for modifying.
      Specified by:
        `vertexSetCopy` in interface `ElementGraph`
      Returns:

    - #### predecessorListOf

          public List<FlowElement> predecessorListOf(FlowElement flowElement)

      Specified by:
        `predecessorListOf` in interface `ElementGraph`

    - #### successorListOf

          public List<FlowElement> successorListOf(FlowElement flowElement)

      Specified by:
        `successorListOf` in interface `ElementGraph`

    - #### writeDOT

          public void writeDOT(String filename)

      Specified by:
        `writeDOT` in interface `ElementGraph`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.